vdiatrib.c:: ++jrb
	vst_point() binding was incorrect. (thanks scott,
	skolodzieski@vaxc.stevens-tech.edu)

common.[ch]:: ++jrb
	changed order of aes encoding from AA BB CC DD to DD CC BB AA
	easier to pull them out in a loop with a pointer this way.
	other cosmetic changes.

aesrsrc.c, aeswin.c, aesrc.c:: ++jrb
	cleanup.

mincl:: ++jrb
	common makefile

makefile.16, makefile.32, gmakefile.16, gmakefile.32:: ++jrb
	gnu makefiles for gemlib. all set up macros and include mincl.

common.c:: ++jrb
	more efficient coding of __aes__() and __vdi__() thanks to
	suggestions from Thomas Koenig (UI0T@DKAUNI2.BITNET).
	old coding #ifdef'ed with #ifdef __OLD__ everywhere.

vdi*.c:: ++jrb
	when __MSHORT__ dont copy pxyarray[] into _ptsin, just
	make _vdiparms[] point to input array, restore before
	return. -- Thanks Thomas!

vdiinq.c:: ++jrb
	many patches for incorrect coding of inq functions. Thanks to
        Michal Jaegermann <uunet!ugw.utcs.utoronto.ca!NTOMCZAK%UALTAVM.bitnet>

vdiinp.c:: ++jrb
	patches from Michal for v??_string, also merged v??_locator
	at his suggestion.

vatrib.c:: ++jrb
	patch from Michal correcting _intin[0] for vst_point();

vdiesc.c:: Jens
	Courtesy of Jens Tingleff (uunet!titan.ee.ic.ac.uk!jensting)
Thanks Jens. Jens explicitly dedicated the code to public domain,
removing his earlier copyleft restriction (via email).

vdibind.h:: Jens
	Add vdiescapes

mincl:: ++jrb
	added vdiesc targets

gemfast.h:: ++jrb
	added TCC compat defn for OBJECT

aesbind.h: frank (Frank Ridderbusch, thanks frank)
	adjust proto for rsrc-gaddr void** -> void *
	add protos for scrp_*

common.c:: frank
	vdi call for compatibility

vdibind.h: frank
	fix typo v_clswd -> vclswk
	add proto for vq_gdos

vdictrl1.c:: frank
	fix typo v_clswd -> vclswk

aescrap.c:: frank
	new file, aes scrap functions

vdiqgdos.c:: frank
	vq_gdos		GDOSp predicate

mincl::
	add targets vdiqgdos and aescrap

vdiesc.c:: Jens
	Courtesy of Jens Tingleff (uunet!titan.ee.ic.ac.uk!jensting)
Thanks Jens. Jens explicitly dedicated the code to public domain,
removing his earlier copyleft restriction (via email).

vdibind.h:: Jens
	Add vdiescapes

mincl:: ++jrb
	added vdiesc targets

gemfast.h:: ++jrb
	added TCC compat defn for OBJECT

aesbind.h: frank (Frank Ridderbusch, thanks frank)
	adjust proto for rsrc-gaddr void** -> void *
	add protos for scrp_*

common.c:: frank
	vdi call for compatibility

vdibind.h: frank
	fix typo v_clswd -> vclswk
	add proto for vq_gdos

vdictrl1.c:: frank
	fix typo v_clswd -> vclswk

aescrap.c:: frank
	new file, aes scrap functions

vdiqgdos.c:: frank
	vq_gdos		GDOSp predicate

mincl::
	add targets vdiqgdos and aescrap

aesevnt.c:: roy
	the two bytes of the long for the timer in evnt_timer and multi
        were switched around.

gemfast.h:: ++jrb
	cleanup

vdiqgdos.c:: ++jrb
	added long vq_vgdos(void), return type of gdos installed.

vdifsm.c:: ++jrb
	FSM gdos bindings. mildly edited version of code from atari.

makefile*:: ++jrb
	add vdifsm targets

------------------------------- Patchlevel 17------------------------

vdifsm.c:: michal
	bindings that actually work (as opposed to ataris !)
	thanks michal

vdibind.h:: michal
	diffs for fsm bindings

vdiqgdos.c:: ++jrb
	vq_gdos(): should say "return retvalue"
       (even though the value is in d0).

 *********************** RENAME *******************
	rename PatchLevel.h to PatchLev.h
 **************************************************

ident.c:: ++jrb
	new file for ident(1) to identify library and Patchlevel

mincl:: ++jrb
	add target for ident.o

vdibind.h:: michal
	add conditional #include<stddef.h> for size_t

test/fsm:: ++jrb
	fix up sample FSM-fontform application for gcc.

aesrc.c:: michal
	use <macros.h> for min/max
	fix up rc_intersect for gcc
	add grect_to_array. note: this coding returns &pxy_array[0], a
	very useful value to have for vdi calls, that take a  pxy_array
	address as an arguement.

aesforms.c:: Thomas Koenig <uunet!CUNYVM.CUNY.EDU!UI0T%DKAUNI2.BITNET>
	add missing bindings for form_keybd() and form_button().
	thanks thomas!

aesbind.h::
	add the protos

vdiesc1.c:: Thomas
	more vdi esc bindings. this should pretty much complete the set.
	thanks thomas.

vdibind.h::
	add protos from vdiesc1.c

mincl::
	add target for vdiesc1.o

aescrp.c:: Thomas
	scrp_clear()
	  - aes function code should be 82 not 81
	  - it is not present in gem versions < 2

aesbind.h::
	#if 0 out bindings for scrp_clear()

*akefil*:: ++jrb
	bring them in sync with new scheme in lib
------------------------------- Patchlevel 18------------------------

common.c, common.h:: Michal
	- change sizes of different "params" arrays increasing some
	(_ptsin, _intin) to allow them fit better into TT world
	and decreasing others to actual sizes used
	- overlap vdi and aes parameter arrays to reuse memory
	- change  VDI_CONTRL_ENCODE macro to allow for new limits;
	(see comments in common.h where other coding is required)
	for sizes which can be accomodated by VDI_CONTRL_ENCODE
	- modify __vdi__() to reflect changes in VDI_CONTRL_ENCODE
	- add clearing of high bytes in __aes__() since they can
	be clobbered now by VDI calls

vdiinp.c:: Michal
	- change coding of vsm(vrq)_string to allow for negative
	length, as in DRI specifications, and switch locally roles of
	_intin and _intout to allow for strings up to 255 characters.

vdiatrib.c,vdiinp.c,vdiinq.c:: Michal
	- replace definitions of alias labels with ones using
	.stabs directive

general:: Michal
	- modify source in many places in order to produce
	a tighter resulting machine code
	- split logically with #define's all source files into
	one-function modules for purposes of a compilation and
	archive creation; modify mincl accordingly (for compilation
	like before use -D__DEF_ALL__ in your Makefile)

vdigdp.c vdiinq.c::  Markus Nick <uunet!mz.maus.de!Markus_Nick>
 	handle char code > 127. make sure they are not sign extended
 	while copying into intin, by cast'ing to (unsigned char), in
 	v_gtext() and v_justified() and vqt_extent(). thanks Markus.

------------------------------- Patchlevel 19------------------------

vdibind.h, mincl, vdifsm.c:: ++jrb
	sync with ataris new release of fsmgdos

vdibind.h, vdibez.c:: ++jrb
	new file. bindings for bezier curves.

vdibind.h vdiqgdos.c:: ++jrb
	vq_vgdos(): return unsigned long. fix proto and inline def in
	vdibind.h too

vdifsm.c, vdibind.h:: michal
	michal corrected and added missing bindings. Thnaks very
	much.

vdibez.c, vdibind.h, mincl:: michal
	michal corrected almost the whole file.

vdictrl1.c:: markus nick
	fix to v_opnvwk() bindings. was'mt passing old value of handle.
	thanks markus.

 MUCH THANKS to Michal Jaegermann who has been very carefully
correcting and baby sitting these bindings. He has made very
significant contributions, and lively discussions and comments.

------------------------------- Patchlevel 20------------------------

vsin_mode, vq_color:: andreas
 these functions return useful things (source: ATARI ST Profibuch, Sybex).

gemfast.h, aesbind.h, vdibind.h:: andreas
  fix protos, and some types.

------------------------------- Patchlevel 21------------------------

vdibind.h:: ++jrb
	change all formal parameters named new to new_p (g++ complains
	(thinking its a new operator)).

vdiatrib.c, vdibind.h:: marcus nick
	the return type of vst_height should have been int, not void.

------------------------------- Patchlevel 22------------------------

vdibez.c:: ++jrb
	dont define ALTERNATE. Makes us incompat with PureC and others.

mincl:: ++jrb
	make all v_bez_in/off and v_bez_con for the lib and let the user
	use whichever forms they prefer.

------------------------------- Patchlevel 23------------------------
